Summary:	Handle user special directories
Summary(pl.UTF-8):	Obsługa specjalnych katalogów użytkownika
Name:		xdg-user-dirs
Version:	0.18
Release:	2
License:	GPL v2
Group:		Libraries
Source0:	http://user-dirs.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	dc7decea7ffb58cd067eff1fe1798cae
Source1:	%{name}.sh
Patch0:		%{name}-am.patch
URL:		http://www.freedesktop.org/wiki/Software/xdg-user-dirs
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-tools
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xdg-user-dirs is a tool to help manage "well known" user directories
like the desktop folder and the music folder. It also handles
localization (i.e. translation) of the filenames.

%description -l pl.UTF-8
xdg-user-dirs to narzędzie pomagające zarządzać "dobrze znanymi"
katalogami użytkownika, takimi jak pulpit czy katalog z muzyką.
Obsługuje także lokalizację (tzn. tłumaczenia) nazw plików.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d/%{name}.sh

%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/{sr@Latn,sr@latin}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_sysconfdir}/X11/xinit/xinitrc.d/xdg-user-dirs.sh
%attr(755,root,root) %{_bindir}/xdg-user-dir
%attr(755,root,root) %{_bindir}/xdg-user-dirs-update
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/user-dirs.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/user-dirs.defaults
%{_sysconfdir}/xdg/autostart/xdg-user-dirs.desktop
%{_mandir}/man1/xdg-user-dir.1*
%{_mandir}/man1/xdg-user-dirs-update.1*
%{_mandir}/man5/user-dirs.conf.5*
%{_mandir}/man5/user-dirs.defaults.5*
%{_mandir}/man5/user-dirs.dirs.5*
%changelog
* Wed Aug 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xdg-user-dirs.git;a=log;h=master

* Wed Aug 17 2022 Jan Palus <atler@pld-linux.org> 31679ff
- Release 2 (by relup.sh)

* Sat Aug 06 2022 Jan Palus <atler@pld-linux.org> b2df1ac
- up to 0.18

* Sat Apr 13 2019 Jan Palus <atler@pld-linux.org> 754fb31
- up to 0.17

* Wed Feb 28 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 5a0964a
- Update to 0.16

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> 904880a
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> b2fd3eb
- updated gettext BR

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> b472456
- updated to 0.15
- updated am patch

* Sun Jan 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 864b821
- added am patch (fixes build with automake 1.13)

* Sat May 07 2011 Caleb Maclennan <caleb@alerque.com> 078d95f
- Up to 0.14

* Thu Nov 18 2010 Caleb Maclennan <caleb@alerque.com> 1800bba
- Up to 0.13

* Sun Nov 22 2009 Marcin Banasiak <marcin.banasiak@gmail.com> b09bfd1
- obsolete

* Sun Nov 22 2009 Marcin Banasiak <marcin.banasiak@gmail.com> cc00a86
- updated to 0.12
- removed obsolete -configure.patch

* Tue Jul 29 2008 Jakub Bogusz <qboosh@pld-linux.org> e809235
- fixed configure patch to kill bogus libtool dependency

* Tue Jul 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 4881581
- remove bogus macro instead of configuring unused libtool

* Tue Jul 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 9db1174
- pl

* Wed Jul 09 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 368ef07
- added -configure.patch to fix build
- release 3

* Wed Jul 09 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 094e24c
- add missing AM_PROG_LIBTOOL to configure.ac

* Wed Jun 11 2008 hawk <hawk@pld-linux.org> 0aea297
- release 2

* Sat May 31 2008 zbyniu <zbyniu@pld-linux.org> 5a9d784
- up to 0.10

* Sat Nov 10 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 1a79341
- sr@Latn -> sr@latin; release 2

